CREATE TABLE irc_tp_category_services (
    SERVICE_ID                  NUMBER(18, 0) ,
    MODULE_ID                   VARCHAR2(128) ,
    URL                         VARCHAR2(4000)    NOT NULL,
    CATEGORY_ID                 NUMBER(18, 0)     NOT NULL,
    PHASE_CODE                  VARCHAR2(120)     NOT NULL,
    TRANSACTION_FIELDS_FLAG     VARCHAR2(4)   ,
    TRANSACTION_FIELDS_LABEL    VARCHAR2(2000),
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)      NOT NULL,
    SEED_DATA_SOURCE            VARCHAR2(2048),
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    ORA_SEED_SET1               VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2               VARCHAR2(4)       NOT NULL,
    SERVICE_ID                  NUMBER(18, 0) ,
    MODULE_ID                   VARCHAR2(128) ,
    URL                         VARCHAR2(4000)    NOT NULL,
    CATEGORY_ID                 NUMBER(18, 0)     NOT NULL,
    PHASE_CODE                  VARCHAR2(120)     NOT NULL,
    TRANSACTION_FIELDS_FLAG     VARCHAR2(4)   ,
    TRANSACTION_FIELDS_LABEL    VARCHAR2(2000),
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)      NOT NULL,
    SEED_DATA_SOURCE            VARCHAR2(2048),
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    ORA_SEED_SET1               VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2               VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_irc_tp_category_services PRIMARY KEY (SERVICE_ID, SERVICE_ID)
);
